Logo
OpenScaler
API Documentation/Load Balancer Certificates

List Certificates

List all SSL/TLS certificates attached to the given load balancer.

GET
/v1/lbs/{lb_id}/certificates

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

lb_idRequiredstring

A unique identifier for a load balancer instance.

curl -X GET "https://api.alpha.openscaler.net/v1/lbs/42/certificates" \
  -H "Authorization: Bearer <token>"

List of certificates.

{
  "certificates": [
    {
      "name": "my-cert",
      "cert_type": "upload",
      "common_name": "example.com",
      "subject": "CN=example.com",
      "domains": "example.com, www.example.com",
      "issuers": "Let's Encrypt Authority X3",
      "not_before": "2024-01-01T00:00:00Z",
      "not_after": "2025-01-01T00:00:00Z",
      "serial": "03:AB:CD:EF",
      "size": 2048
    }
  ]
}